/*
 *  This file is part of x48, an emulator of the HP-48sx Calculator.
 *  Copyright (C) 1994  Eddie C. Dost  (ecd@dressler.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* $Log: global.h,v $
 * Revision 1.1  1994/09/07  12:53:20  ecd
 * Initial revision
 *
 *
 * $Id: global.h,v 1.1 1994/09/07 12:53:20 ecd Exp ecd $
 */

#ifndef _GLOBAL_H
#define _GLABAL_H

#ifdef __ProtoType__
#undef __ProtoType__
#endif

#ifdef __FunctionProto__
#undef __FunctionProto__
#endif

#if defined(__STDC__) || defined(__cplusplus)
#define __ProtoType__(x) x
#define __FunctionProto__ 1
#else
#define __ProtoType__(x) ()
#undef __FunctionProto__
#endif

#if !defined(__GNUC__)
#define inline 
#if !defined(__STDC__)
#define const
#endif
#endif

/*
 * If we are running Linux, `linux' will be defined by gcc.
 */
#if defined(linux)

#ifndef LINUX
#define LINUX	1
#endif

#else	/* Not Linux */

#if defined(sun) && defined(unix)

#if defined(__svr4__) || defined(SVR4) || defined(SYSV)

#ifndef SOLARIS
#define SOLARIS	1
#endif

#else  /* Not Solaris */

#ifndef SUNOS
#define SUNOS	1
#endif

#endif  /* Not Solaris */
#endif	/* Sun && Unix */
#endif	/* Not Linux */

#endif /* !_GLOBAL_H */
